# eric6.Plugins.VcsPlugins.vcsMercurial.PurgeExtension.HgPurgeListDialog

Module implementing a dialog to list all files not tracked by Mercurial.

### Global Attributes

None

### Classes

HgPurgeListDialog | Class implementing a dialog to list all files not tracked by Mercurial.

### Functions

None

## HgPurgeListDialog

Class implementing a dialog to list all files not tracked by Mercurial.

### Derived from

QDialog, Ui_HgPurgeListDialog

### Class Attributes

None

### Class Methods

None

### Methods

HgPurgeListDialog | Constructor

### Static Methods

None

#### HgPurgeListDialog (Constructor)

HgPurgeListDialog(entries, parent=None)

Constructor

entries
  list of entries to be shown (list of strings)
parent
  reference to the parent widget (QWidget)

Up